# Uses of Enum
org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.Mode

Packages that use CompareTablesQuery.Mode
Package
Description
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.

## Uses of CompareTablesQuery.Mode in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as CompareTablesQuery.Mode
Modifier and Type
Field
Description
`CompareTablesQuery.Mode`
CompareTablesQuery.`mode`
Methods in org.eclipse.mat.internal.snapshot.inspections that return CompareTablesQuery.Mode
Modifier and Type
Method
Description
`CompareTablesQuery.Mode`
CompareTablesQuery.TableComparisonResult.`getMode()`
`static CompareTablesQuery.Mode`
CompareTablesQuery.Mode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompareTablesQuery.Mode[]`
CompareTablesQuery.Mode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type CompareTablesQuery.Mode
Modifier and Type
Method
Description
`void`
CompareTablesQuery.TableComparisonResult.`setMode(CompareTablesQuery.Mode mode)`
Constructors in org.eclipse.mat.internal.snapshot.inspections with parameters of type CompareTablesQuery.Mode
Modifier
Constructor
Description
``
`ComparisonResultTable(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`
``
`ComparisonResultTree(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`
``
`TableComparisonResult(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`